commit:     724d54b934f265edf09da52c9919b3529a3af013
Author:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Tue Oct  3 10:48:42 2017 +0000
Commit:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Tue Oct  3 10:48:51 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=724d54b9

net-irc/weechat: allow finding plugins by default on Darwin

Package-Manager: Portage-2.3.8, Repoman-2.3.1

 net-irc/weechat/weechat-1.9.1.ebuild | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/net-irc/weechat/weechat-1.9.1.ebuild 
b/net-irc/weechat/weechat-1.9.1.ebuild
index 666fe3804e7..0597605d4a5 100644
--- a/net-irc/weechat/weechat-1.9.1.ebuild
+++ b/net-irc/weechat/weechat-1.9.1.ebuild
@@ -96,10 +96,13 @@ src_prepare() {
        # install docs in correct directory
        sed -i "s#\${SHAREDIR}/doc/\${PROJECT_NAME}#\0-${PV}/html#" 
doc/*/CMakeLists.txt || die
 
-       # fix linking error on Darwin
        if [[ ${CHOST} == *-darwin* ]]; then
+               # fix linking error on Darwin
                sed -i "s/+ get_config_var('LINKFORSHARED')//" \
                        cmake/FindPython.cmake || die
+               # allow to find the plugins by default
+               sed -i 's/".so,.dll"/".bundle,.so,.dll"/' \
+                       src/core/wee-config.c || die
        fi
 }
 

Reply via email to